<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Staff Setting
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$staff = zero::GetStaff($staff_id);
$staff['departments'] = zero::GetStaffDepartmentNames($staff_id);
$staff['permissions'] = zero::GetStaffPermissions($staff_id);
zero::StartSession("Staff Setting");
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "Your Profile");

if ($pf == "update_prim") {
	zero::IsEmpty("name", $lang['a_empty_name']);
	if (!zero::IsEmpty("email", $lang['a_empty_email']))
		zero::IsEmailFormatted("email", $lang['a_email_not_formatted']);
	if (!zero::CheckStaffValidity($email, $staff_id))
	  EndScript();
	if (trim($old_password) != "" || trim($new_password) != "" || trim($confirm_password) != "") {
	  zero::IsEmpty("old_password", $lang['a_empty_old_password']);
	  zero::IsEmpty("new_password", $lang['a_empty_new_password']);
	  zero::IsEmpty("confirm_password", $lang['a_empty_confirm_password']);
		if (zero::IsError())
		  EndScript();
		if ($old_password != $staff['password']) {
		  $errors[] = $lang['a_old_password_invalid'];
		  EndScript();
		}
		if (strlen($new_password) < 5)
		  $errors[] = $lang['a_5_char_password'];
		if ($new_password != $confirm_password)
			$errors[] = $lang['a_not_equal_confirm_password'];
	}
	if (zero::IsError())
	  EndScript();
	zero::UpdateStaffSettingPrim($staff_id, $name, $email, $new_password);
	$smarty_tpl->assign("success", 1);
	$staff = zero::GetStaff($staff_id);
}
elseif ($pf == "update_misc") {
	if (!is_numeric($recent_hours_front) || empty($recent_hours_front))
		$recent_hours_front = 48;
	if (!is_numeric($ticket_num_front) || empty($ticket_num_front))
		$ticket_num_front = 5;

	zero::UpdateStaffSettingMisc($staff_id, $time_zone, $signature, $recent_hours_front, $ticket_num_front, $notify_ticket_new, $notify_ticket_reply, $notify_user_registered);
	$smarty_tpl->assign("success", 1);
	$staff = zero::GetStaff($staff_id);
}
$staff['departments'] = zero::GetStaffDepartmentNames($staff_id);
$staff['permissions'] = zero::GetStaffPermissions($staff_id);
$staff['signature'] = htmlentities($staff['signature']);
$staff['name'] = htmlentities($staff['name']);
$staff['email'] = htmlentities($staff['email']);
$smarty_tpl->assign("staff", $staff);
$smarty_tpl->assign("time_zone_options", zero::GetTimeZoneOptions());
$smarty_tpl->assign("page_sub_title", "- Your Profile [{$staff['name']}]");
zero::DisplayStaff("staff_setting.tpl");

function EndScript() {
	global $smarty_tpl, $errors, $staff_id;
	global $name, $email, $signature, $time_zone, $language, $old_password, $new_password, $confirm_password;

	$staff = zero::GetStaff($staff_id);
	$staff['name'] = htmlentities($name);
	$staff['email'] = htmlentities($email);
	$staff['signature'] = htmlentities($signature);
	$staff['time_zone'] = $time_zone;
	$staff['departments'] = zero::GetStaffDepartmentNames($staff_id);
	$staff['permissions'] = zero::GetStaffPermissions($staff_id);
	$smarty_tpl->assign("staff", $staff);
	$smarty_tpl->assign("time_zone_options", zero::GetTimeZoneOptions());
	$smarty_tpl->assign("old_password", $old_password);
	$smarty_tpl->assign("new_password", $new_password);
	$smarty_tpl->assign("confirm_password", $confirm_password);
	$smarty_tpl->assign("errors", $errors);
	$smarty_tpl->assign("page_sub_title", "- Your Profile [{$staff['name']}]");
	zero::DisplayStaff("staff_setting.tpl");
	exit;
}

?>
