<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - View detail of ticket
// |-------------------------------------------------------------|
require_once("init.php");
require_once("lang/{$cur_lg_folder}/ticket_detail.php");
zero::StartSession("Ticket Detail User");

$smarty_tpl->assign("main_page","ticket_detail");
$department_options = zero::GetDepartmentOptions();
$department_options[0] = $lang['no_change'];
ksort ($department_options);
$smarty_tpl->assign("department_options", $department_options);
$priority_options = zero::GetPriorityOptions();
$priority_options[0] = $lang['no_change'];
ksort ($priority_options);
$smarty_tpl->assign("priority_options", $priority_options);

if ($pf == "close")
	zero::CloseTicket($ticket_ref);
elseif ($pf == "open")
	zero::OpenTicket($ticket_ref);
elseif ($pf == "update") {
	zero::UpdateTicketProperties($ticket_ref, $department, $priority);
	zero::Redirect("ticket_detail.php?ticket_ref={$ticket_ref}&email={$email}");
}
elseif ($pf == "reply") {
  zero::IsEmpty("message", $lang['a_empty_message']);
	if (zero::IsError()) {
	  $smarty_tpl->assign("message", $message);
    $smarty_tpl->assign("errors", $errors);
	}
	else {
		zero::UserReplyTicket($ticket_ref, $message, $_SERVER[REMOTE_ADDR]);
		zero::Redirect("ticket_detail.php?ticket_ref={$ticket_ref}&email={$email}");
	}
}
elseif ($pf == "view") {
  zero::IsEmpty("email", $lang['a_empty_email']);
  zero::IsEmpty("ticket_ref", $lang['a_empty_ticket_ref']);
}

if (trim($ticket_ref) != "" && trim($email) != "") {
	if (zero::IsValidTicketOwner($ticket_ref, $email)) {
		$ticket = zero::GetTicket($ticket_ref);
		$posts  = zero::GetPosts($ticket_ref);
		$smarty_tpl->assign("ticket_exist", 1);
		$smarty_tpl->assign("ticket", $ticket);
		$smarty_tpl->assign("posts", $posts);
	}
	else
	  $errors[] = $lang['a_ticket_email_is_not_granted'];
}

if (zero::IsError()) {
  $smarty_tpl->assign("email", htmlentities($email));
  $smarty_tpl->assign("ticket_ref", htmlentities($ticket_ref));
  $smarty_tpl->assign("errors", $errors);
}

if ($pf == "print") {
  $smarty_tpl->assign("lang", $lang);
	$i = 0;
	while ($i < count($posts)) {
	  if (zero::IsHTML($posts[$i]['message'])) {
    	$posts[$i]['message'] = nl2br(zero::ParseHTML2Text($posts[$i]['message'],false));
	  }
    $i++;
  }
	$smarty_tpl->assign("posts", $posts);
  $smarty_tpl->display("front/{$setting['front_tpl_dir']}/ticket_detail_print.tpl");
}
else
	zero::DisplayFront("ticket_detail.tpl");

?>
